const VER= '0.9.8-200605041050';

const AUTHOR    = "SysNux"
const MSG       = "MozPhone install";
const NAME      = "mozphone";
const JAR_FILE  = "mozphone.jar";
const DIR       = "mozphone";
const content   = "content/mozphone/";
const skin      = "skin/mozphone/";
const loc_en_US = "locale/en-US/mozphone/";
const loc_fr_FR = "locale/fr-FR/mozphone/";
const loc_pl_PL = "locale/pl-PL/mozphone/";
const chrome    = getFolder( "Chrome" );
const comp      = getFolder( "Components" );
const jar       = getFolder( 'Chrome', JAR_FILE );
const icon      = getFolder(getFolder('Chrome', 'icons'), 'default');

// OS type detection: which platform?
function getPlatform() {
	var platform;
	if('platform' in Install) {
		var str = new String(Install.platform);
		if (!str.search(/^Macintosh/))  platform = 'mac';
		else if (!str.search(/^Win/))   platform = 'win';
		else if (!str.search(/^OS\/2/)) platform = 'win';
		else                            platform = 'unix';
	} else {
		var fOSMac  = getFolder("Mac System");
		var fOSWin  = getFolder("Win System");
		if( fOSMac != null )      platform = 'mac';
		else if( fOSWin != null ) platform = 'win';
		else                      platform = 'unix';
	}
	return platform;
}

var err = initInstall( 'MozPhone Install', "/sysnux.pf/mozphone", VER ); 
logComment( "initInstall: " + err );
logComment( "Installation started ..." );

//Check running platform
var os = getPlatform();
if( os == 'mac' ) {
	cancelInstall();      // cancel the installation.
	alert( "MozPhone not (yet) supported on Mac, sorry !\nInstallation cancelled.");
}

// JAR packaging
addFile('MozpPhone service',   VER,'arch/tel_proto.js',comp,'tel_proto.js',true);
if( os == 'unix' ) {
	addFile('MozpPhone service',VER,'arch/network_client',comp,'network_client',true);
	addFile( 'MozPhone icon',   VER,'arch/mozphone.xpm', icon, '');
} else if( os == 'win' ) {
	addFile('MozpPhone service',VER,'arch/network_client.exe',comp,'network_client.exe',true);
	addFile('MozpPhone service',VER,'arch/nowin.exe',comp,'nowin.exe',true);
	addFile('MozpPhone service',VER,'arch/YLUSBTEL.dll',comp,'YLUSBTEL.dll',true);
	addFile('MozPhone icon',    VER,'arch/mozphone.ico', icon, '');
}
addFile('MozPhone Chrome','chrome/mozphone.jar',chrome,'');
registerChrome( CONTENT | DELAYED_CHROME, jar, content);
registerChrome( SKIN    | DELAYED_CHROME, jar, skin);
registerChrome( LOCALE  | DELAYED_CHROME, jar, loc_en_US);
registerChrome( LOCALE  | DELAYED_CHROME, jar, loc_fr_FR);
registerChrome( LOCALE  | DELAYED_CHROME, jar, loc_pl_PL);

err = getLastError();
if ( err == SUCCESS ) { // if there have been no errors:
	performInstall();     // install "mozphone"
	alert( 'MozPhone installation complete.\nPlease restart Mozilla to enable.' );
}
else  {                 // otherwise
	cancelInstall();      // cancel the installation.
	alert( "MozPhone installation ERROR:\n" + err );
}

